package mbd;
import java.util.HashMap;

//--------------------------------------------------------------------//
/**
 * f[^xi[}bv
 */
public class LabelMap{

/** f[^xi[}bv */
  protected HashMap<Integer,Integer> labelMap;

/**
 * f[^xi[}bv\z
 */
  public LabelMap(){
    labelMap=new HashMap<Integer,Integer>();
  }

//--------------------------------------------------------------------//
/**
 * f[^i[
 * @param data xtf[^
 * @param index f[^̃CfbNX
 */
  public void put(LabeledData data,int index){
    labelMap.put(data.label(),index);
  }

//--------------------------------------------------------------------//
/**
 * f[^xĐݒ肷
 * @param data xtf[^
 * @throws LabelException Yf[^݂ȂƂ
 */
  public void reset(LabeledData data) throws LabelException{
    Integer newLabel=labelMap.get(data.label());
    if(newLabel!=null){
      data.setLabel(newLabel.intValue());
    }
    else{
      throw new LabelException("Bad node label");
    }
  }

//--------------------------------------------------------------------//
/**
 * f[^xĐݒ肷
 * @param c S
 */
  public void reset(Constraint c){
    Integer pos1=labelMap.get(c.p1());
    Integer pos2=labelMap.get(c.p2());
    int p1=-1;
    int p2=-1;
    if(pos1!=null) p1=pos1.intValue();
    if(pos2!=null) p2=pos2.intValue();
    c.setPosition(p1,p2);
    if(p1>p2) c.swap();
  }

//--------------------------------------------------------------------//
/**
 * f[^
 */
  public void clear(){
    labelMap.clear();
  }
}
