package mbd.component;
import java.awt.FlowLayout;
import java.awt.Panel;
import mbd.MultiBodyModel;
import resourcemanager.WordMap;

//--------------------------------------------------------------------//
/**
 * pl
 */
public class MBDControlPanel extends Panel{

/** \LoX */
  protected MBDViewCanvas canvas;

/** ̌nf[^f */
  protected MultiBodyModel model;

/** MBD Aj[^[ */
  protected MBDAnimator animator;

/**
 * pl\z
 * @param canvas \LoX
 * @param waitTime Aj[Vҋ@
 */
  public MBDControlPanel(MBDViewCanvas canvas,long waitTime){
    super(new FlowLayout());
    this.canvas=canvas;
    model=canvas.getModel();
    add(new CalculateButton(this));
    add(new StopButton(this));
    add(new InitButton(this));
    animator=new MBDAnimator(canvas,waitTime);
  }

//--------------------------------------------------------------------//
/**
 * ̌nf[^fԂ
 * @return ̌nf[^f
 */
  public MultiBodyModel getModel(){
    return model;
  }

//--------------------------------------------------------------------//
/**
 * \LoXԂ
 * @return \LoX
 */
  public MBDViewCanvas getViewCanvas(){
    return canvas;
  }

//--------------------------------------------------------------------//
/**
 * vZJn
 */
  public void start(){
    animator.start();
  }

//--------------------------------------------------------------------//
/**
 * vZ~
 */
  public void stop(){
    animator.stop();
  }
}
