package resourcemanager;
import java.io.InputStream;
import java.io.IOException;
import java.net.URL;
import javax.xml.parsers.ParserConfigurationException;
import org.xml.sax.SAXException;

//--------------------------------------------------------------------//
/**
 * gpPǗNX
 */
public class WordMap extends XMLDataMap{

/** gpPf[^̃t@C */
  public static String FILE_NAME="/resource/word.xml";

/** vZJn\ */
  public static final String START="start";

/** vZ~\ */
  public static final String STOP="stop";

/** vZ\ */
  public static final String INIT="init";

/** f[^i[}bv */
  private static WordMap current=new WordMap();

/** sNX */
  protected Class cls;

/**
 * gpPǗIuWFNg\z
 */
  public WordMap(){
    super();
    cls=getClass();
  }

//--------------------------------------------------------------------//
/**
 * f[^ URL Ԃ
 * @param name t@C
 * @return f[^ URL
 */
  public URL getURL(String name){
    return cls.getResource(name);
  }

//--------------------------------------------------------------------//
/**
 * gpPǂݍ
 * @throws ParserConfigurationException
 *         vꂽ\𖞂 <code>DocumentBuilder</code>
 *         𐶐łȂƂ
 * @throws SAXException \̓G[Ƃ
 * @throws IOException o̓G[Ƃ
 */
  public static void read()
    throws ParserConfigurationException,SAXException,IOException{
    read(current.getURL(FILE_NAME));
  }

//--------------------------------------------------------------------//
/**
 * gpPǂݍ
 * @param url f[^ URL
 * @throws ParserConfigurationException
 *         vꂽ\𖞂 <code>DocumentBuilder</code>
 *         𐶐łȂƂ
 * @throws SAXException \̓G[Ƃ
 * @throws IOException o̓G[Ƃ
 */
  public static void read(URL url)
    throws ParserConfigurationException,SAXException,IOException{
    current.readFromURL(url);
  }

//--------------------------------------------------------------------//
/**
 * gpPǂݍ
 * @param is ̓Xg[
 * @throws ParserConfigurationException
 *         vꂽ\𖞂 <code>DocumentBuilder</code>
 *         𐶐łȂƂ
 * @throws SAXException \̓G[Ƃ
 * @throws IOException o̓G[Ƃ
 */
  public static void read(InputStream is)
    throws ParserConfigurationException,SAXException,IOException{
    current.readFromStream(is);
  }

//--------------------------------------------------------------------//
/**
 * gpPԂ
 * @param key P̃L[
 * @return P
 */
  public static String get(String key){
    return current.getName(key);
  }
}
