package mbd.body;
import figure.Point3D;
import mbd.Body;

//--------------------------------------------------------------------//
/**
 * 󋅃NX
 */
public class Sphere extends Body{

/** Oa */
  public double ro;

/** a */
  public double ri;

/** x */
  public double density;

/**
 * ̂\z
 * @param label f[^x
 * @param ro Oa
 * @param ri a
 * @param density x
 */
  public Sphere(int label,double ro,double ri,double density){
    super(label);
    this.ro=ro;
    this.ri=ri;
    this.density=density;
    double ro3=ro*ro*ro;
    double ri3=ri*ri*ri;
    double mc=4.0*Math.PI*density/3.0;
    mass=mc*(ro3-ri3);
    inertia[0][0]=0.4*mc*(ro3*ro*ro-ri3*ri*ri);
    inertia[1][1]=inertia[0][0];
    inertia[2][2]=inertia[0][0];
  }

//--------------------------------------------------------------------//
/**
 * ̌`\_Ԃ
 * @return _i[z
 */
  public Point3D[][] vertices(){
    int nphy=4;
    int nth=8;
    Point3D pt[][]=new Point3D[nphy][nth];
    double dth=2.0*Math.PI/(double)nth;
    double dphy=Math.PI/(double)nphy;
    for(int i=0;i<nphy;i++){
      double phy=dphy*((double)i+0.5)-0.5*Math.PI;
      double cp=ro*Math.cos(phy);
      double sp=ro*Math.sin(phy);
      for(int j=0;j<nth;j++){
      	double th=dth*(double)j;
      	double x=cp*Math.cos(th);
      	double y=cp*Math.sin(th);
      	pt[i][j]=new Point3D(x,y,sp);
      }
    }
    p.trans(pt);
    return pt;
  }

//--------------------------------------------------------------------//
/**
 * IuWFNg̓
 * @param obj rΏۂ̃IuWFNg
 * @return rΏۂ̃IuWFNg <code>Sphere</code>
 *         ̃CX^Xœlꍇ true
 */
  public boolean equals(Object obj){
    if(super.equals(obj) && (obj instanceof Sphere)){
      Sphere s=(Sphere)obj;
      return ((ro==s.ro) && (ri==s.ri) && (density==s.density));
    }
    else{
      return false;
    }
  }

//--------------------------------------------------------------------//
/**
 * f[^Ԃ
 * @return ̃IuWFNg̕\
 */
  public String toString(){
    return "Sphere\t"+label+"\t"+ro+"\t"+ri+"\t"+density;
  }
}
