package mbd.component;
import animation.Animator;
import mbd.MultiBodyModel;

//--------------------------------------------------------------------//
/**
 * MBD Aj[V쐬NX
 */
public class MBDAnimator extends Animator{

/** \LoX */
  protected MBDViewCanvas canvas;  

/** ̌nf[^f */
  protected MultiBodyModel model;

/** ҋ@ */
  protected long waitTime;  

/**
 * MBD Aj[^[\z
 * @param canvas \LoX
 * @param waitTime ҋ@
 */
  public MBDAnimator(MBDViewCanvas canvas,double waitTime){
    this.canvas=canvas;
    model=canvas.getModel();
    this.waitTime=(long)waitTime;
  }

//--------------------------------------------------------------------//
/**
 * Xbh̎s~
 */
  public void stop(){
    if(thread!=null){
      thread=null;
      canvas.repaint();
    }
  }

//--------------------------------------------------------------------//
/**
 * Xbhs
 */
  public void run(){
    while(thread!=null){  
      try{
      	model.next();
      	canvas.repaint();
      	Thread.sleep(waitTime);
      }
      catch(Exception ex){
      	ex.printStackTrace();
      	stop();
      }
    }
  }
}
