package mbd.constraint;
import figure.DefaultMatrix;
import figure.Matrix;
import figure.Point3D;
import figure.Vector;
import mbd.Position;

//--------------------------------------------------------------------//
/**
 * ΂˗vf
 */
public class Spring extends AbstractConstraint{

/** ΂˒萔 */
  protected double k;

/** R */
  protected double l0;

/**
 * ΂˗vf\z
 * @param p1 SΏۈʒuP̃CfbNX
 * @param p2 SΏۈʒuQ̃CfbNX
 * @param r1 SΏە̂P̍Sʒu
 * @param r2 SΏە̂Q̍Sʒu
 * @param k ΂˒萔
 * @param l0 R
 */
  public Spring(int p1,int p2,Point3D r1,Point3D r2,double k,double l0){
    super(p1,p2,r1,r2);
    this.k=k;
    this.l0=l0;
  }

//--------------------------------------------------------------------//
/**
 * S鎩RxԂ
 * @return S鎩Rx
 */
  public int dof(){
    return 3;
  }

//--------------------------------------------------------------------//
/**
 * S}gbNXES׏dxNg쐬
 * @param p1 SΏۈʒuP
 * @param p2 SΏۈʒuQ
 */
  public void create(Position p1,Position p2){
    Vector f=new Vector(3);
    if(p2!=null){
      f.add(p2.vector(r2));
    }
    else{
      f.add(r2.toVector());
    }
    if(p1!=null){
      f.add(-1.0,p1.vector(r1));
    }
    else{
      f.add(-1.0,r1.toVector());
    }
    double l=f.magnitude();
    f.mul(k*(l-l0)/l);
    vector=new Vector(6,new double[]{f.get(0),f.get(1),f.get(2),
      	      	      	      	     -f.get(0),-f.get(1),-f.get(2)});
  }

//--------------------------------------------------------------------//
/**
 * f[^Ԃ
 * @return ̃IuWFNg̕\
 */
  public String toString(){
    return "Spring\t"+p1+"\t"+p2+"\t"+r1.x+"\t"+r1.y+"\t"+r1.z
      	  +"\t"+r2.x+"\t"+r2.y+"\t"+r2.z+"\t"+k+"\t"+l0;
  }
}
